﻿@model GarageMaster.Models.AccountModels.ChangePasswordAdminModel

@{
    ViewData["Title"] = "ChangePasswordAdmin";
}

<h1>ChangePasswordAdmin</h1>

<hr />
<div class="row">
    <div class="col-md-4">
        <form asp-action="ChangePasswordAdmin" method="post">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <div class="form-group">
                <label asp-for="NewPassword" class="control-label"></label>
                <input asp-for="NewPassword" class="form-control" />
                <span asp-validation-for="NewPassword" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="ConfirmNewPassword" class="control-label"></label>
                <input asp-for="ConfirmNewPassword" class="form-control" />
                <span asp-validation-for="ConfirmNewPassword" class="text-danger"></span>
            </div>
            <div class="form-group">
                <input type="hidden" asp-for="UserId" class="form-control" />
            </div>
            <div class="form-group">
                <input type="submit" value="Сохранить" class="btn btn-primary" />
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-area="Admin" asp-action="ProfileUser" asp-route-id="@Model.UserId">Back to Profile User</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}